Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT
Summary: Uniform titles (130 / 240 / 730) Display in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344
  Show dependency treegraph
 
Reported: 2014-12-03 13:39 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Updates display of Uniform Title in full display for OPAC and Staff views (4.67 KB, patch)
2015-03-15 21:19 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT (5.23 KB, patch)
2015-03-25 14:03 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT (2.57 KB, patch)
2015-04-17 14:51 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT (6.24 KB, patch)
2015-04-29 01:43 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF]Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT (6.13 KB, patch)
2015-06-05 22:15 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT (6.19 KB, patch)
2015-07-10 15:58 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-03 13:39:46 UTC
The following change should be made to the MARC21 details in the staff and OPAC:

130/240/730 Display as Uniform Titles (brief/full display) 

Display corresponding subfields a, b, c, k, n, p, s

Use vertical bar to separate multiple other titles

Examples: 

Uniform titles: Orchestra music. Selections.

Uniform titles: Hunger games (Motion picture)

Uniform titles: Organ music. Selections. | Kleine Präludien und Fugen.
Comment 1 Winona Salesky 2015-03-11 15:33:28 UTC
Just to be clear, Uniform Titles do not currently appear in the results list (brief display). So they should be added? 

Thanks,
-Winona



(In reply to Nicole C. Engard from comment #0)
> The following change should be made to the MARC21 details in the staff and
> OPAC:
> 
> 130/240/730 Display as Uniform Titles (brief/full display) 
> 
> Display corresponding subfields a, b, c, k, n, p, s
> 
> Use vertical bar to separate multiple other titles
> 
> Examples: 
> 
> Uniform titles: Orchestra music. Selections.
> 
> Uniform titles: Hunger games (Motion picture)
> 
> Uniform titles: Organ music. Selections. | Kleine Präludien und Fugen.
Comment 2 rgravel 2015-03-12 14:41:35 UTC
I don't know that it's necessary to crowd the brief display in the results list. Currently "Other title" does display in the results, and that may be more useful to patrons than the uniform title, so I personally think it's ok to just keep the uniform title in the full record display.
Comment 3 Winona Salesky 2015-03-15 21:08:44 UTC
Okay, thanks!
-Winona

(In reply to rgravel from comment #2)
> I don't know that it's necessary to crowd the brief display in the results
> list. Currently "Other title" does display in the results, and that may be
> more useful to patrons than the uniform title, so I personally think it's ok
> to just keep the uniform title in the full record display.
Comment 4 Winona Salesky 2015-03-15 21:19:09 UTC Comment hidden (obsolete)
Comment 5 Winona Salesky 2015-03-19 16:45:38 UTC
Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 130, 240 or 730
4) Perform an opac search that would show the record in the search results
5) Note the fields displays subfields a,b,c,k,n,p,s with a vertical bar to separate multiple titles. Vertical bar is wrapped in span class="separator" for easy suppression/customization of separator. 
6) Repeat steps 4 and 5 for the staff interface
Comment 6 Winona Salesky 2015-03-25 14:03:02 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2015-03-25 21:08:06 UTC
I just have a question on this one:

Are we intentionally not displaying subfields d,f,l,m,o ?  They show now but are gone after I apply.  

I like the addition of n,p,s but I think it would be better to display all fields that exist as I think you won't often encounter them all, but if they are there you probably want to see them

Also, there is no subfield b or c for uniform titles, at least not according to MARC21 standard
Comment 8 Nicole C. Engard 2015-04-14 14:01:05 UTC
(In reply to Nick Clemens from comment #7)
> I just have a question on this one:
> 
> Are we intentionally not displaying subfields d,f,l,m,o ?  They show now but
> are gone after I apply.  
> 
> I like the addition of n,p,s but I think it would be better to display all
> fields that exist as I think you won't often encounter them all, but if they
> are there you probably want to see them
> 
> Also, there is no subfield b or c for uniform titles, at least not according
> to MARC21 standard

The original Spec said:

"Display corresponding subfields a, b, c, k, n, p, s"

But if those fields were there I do think we should keep them if they're useful.  It might have to do with the new rules of MARC - so maybe someone from the libraries that asked for this could chime in.

Nicole
Comment 9 rgravel 2015-04-16 16:48:56 UTC
We didn't originally include them because we didn't think they were often used, but it's a valid point: if they are actually there, then you'd want to see them. So, I'm for displaying all subfields associated with these fields.
Comment 10 Winona Salesky 2015-04-17 13:33:04 UTC
Looking at the marc documentation these are the subfields I see for the uniform titles:
 a,d,f,g,h,k,l,m,n,o,p,r,s,t (240 does not have subfield t). Should I go ahead and add all of these? 

-Winona

(In reply to rgravel from comment #9)
> We didn't originally include them because we didn't think they were often
> used, but it's a valid point: if they are actually there, then you'd want to
> see them. So, I'm for displaying all subfields associated with these fields.
Comment 11 rgravel 2015-04-17 14:27:31 UTC
I think that would be great- thank you, Winona! 

(In reply to Winona Salesky from comment #10)
> Looking at the marc documentation these are the subfields I see for the
> uniform titles:
>  a,d,f,g,h,k,l,m,n,o,p,r,s,t (240 does not have subfield t). Should I go
> ahead and add all of these? 
> 
> -Winona
Comment 12 Winona Salesky 2015-04-17 14:51:02 UTC Comment hidden (obsolete)
Comment 13 Nick Clemens 2015-04-24 21:23:18 UTC
Applying: Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT
Comment 14 Winona Salesky 2015-04-29 01:43:08 UTC Comment hidden (obsolete)
Comment 15 Nick Clemens 2015-06-05 22:15:48 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2015-07-10 15:58:34 UTC
Created attachment 40938 [details] [review]
[PASSED QA] Bug 13387 - Uniform titles (130 / 240 / 730) Display in XSLT

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac record details
3) Find or create a record with MARC tags 130/240/730
4) Perform an opac search that would show the record in the search results.
5) Click title to review record.
6) Fields show subfields a,d,f,g,h,k,l,m,n,o,p,r,s,t with multiple fields separated by span class=separator |
7) Repeat steps 4 - 6 for the staff interface

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Tomás Cohen Arazi 2015-08-21 18:39:39 UTC
Patch pushed to master.

Thanks Winona!
Comment 18 Winona Salesky 2015-08-24 15:39:23 UTC
Great! Thank you. 
-Winona

(In reply to Tomás Cohen Arazi from comment #17)
> Patch pushed to master.
> 
> Thanks Winona!